#!/usr/bin/env ruby

require 'yaml'

pkgmeta = nil

File.open(".pkgmeta") do |f|
	pkgmeta = YAML::load(f)
end
externals = pkgmeta['externals']

Dir.mkdir("Libs") unless File.exists?("Libs")

externals.each do |name, repo|
	if /^svn/.match(repo)
		if File.exists?(name)
			puts "Updating #{name} from subversion..."
			`svn update #{name}`
		else
			puts "Checking out #{name} from subversion..."
			`svn co #{repo} #{name}`
		end
	end
end